signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | List of all members
SsoTestPluginNS::SsoTestPlugin Class Reference

`#include <ssotestplugin.h>`

Inheritance diagram for SsoTestPluginNS::SsoTestPlugin:
[legend]
Collaboration diagram for SsoTestPluginNS::SsoTestPlugin:
[legend]

## Public Slots
QString | type () const
QStringList | mechanisms () const
void | cancel ()
void | process (const SignOn::SessionData &inData, const QString &mechanism=0)
void | userActionFinished (const SignOn::UiSessionData &data)

## Public Member Functions
| SsoTestPlugin (QObject *parent=0)
virtual | ~SsoTestPlugin ()

## Detailed Description

Definition at line 34 of file ssotestplugin.h.

## Constructor & Destructor Documentation

SsoTestPluginNS::SsoTestPlugin::SsoTestPlugin | ( | QObject * | parent = `0` | ) |

Definition at line 38 of file ssotestplugin.cpp.

References TRACE.

SsoTestPluginNS::SsoTestPlugin::~SsoTestPlugin | ( |  | ) |
| virtual

Definition at line 52 of file ssotestplugin.cpp.

## Member Function Documentation

void SsoTestPluginNS::SsoTestPlugin::cancel | ( |  | ) |
| slot

Definition at line 56 of file ssotestplugin.cpp.

References TRACE.

QStringList SsoTestPluginNS::SsoTestPlugin::mechanisms | ( |  | ) | const
| inline slot

Definition at line 44 of file ssotestplugin.h.

Referenced by process().

void SsoTestPluginNS::SsoTestPlugin::process | ( | const SignOn::SessionData & | inData,
|  | const QString & | mechanism = `0`
| ) |  |
| slot

Definition at line 66 of file ssotestplugin.cpp.

References mechanisms(), and TRACE.

QString SsoTestPluginNS::SsoTestPlugin::type | ( |  | ) | const
| inline slot

Definition at line 43 of file ssotestplugin.h.

void SsoTestPluginNS::SsoTestPlugin::userActionFinished | ( | const SignOn::UiSessionData & | data | ) |
| slot

Definition at line 129 of file ssotestplugin.cpp.

References TRACE.

The documentation for this class was generated from the following files:

- src/plugins/test/ssotestplugin.h
- src/plugins/test/ssotestplugin.cpp